> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stellar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Customer's Info

> The request and response for this endpoint is identical to the
[`GET /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-get)
request and response defined in SEP-12.

This endpoint allows clients to:

  1. Fetch the fields the server requires in order to register a new customer via a SEP-12
[`PUT /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-put) request

If the server does not have a customer registered for the parameters sent in the request, it should return the
fields required in the response. The same response should be returned when no parameters are sent.

  2. Check the status of a customer that may already be registered

This allows clients to check whether the customers information was accepted, rejected, or still needs more info.
If the server still needs more info, or the server needs updated information, it should return the fields required.


SEP-6SEP-12SEP-31


## OpenAPI

````yaml openapi/anchor-platform/bundled-callbacks.yaml GET /customer
openapi: 3.1.0
info:
  version: 3.0.0
  description: >
    The Synchronous Callbacks API specification for the Stellar Anchor Platform
    project.


    The Synchronous Callbacks API defines requests made by the Platform while it
    is processing a request from a client application. The

    anchor's responses to these requests affect the Platform responses to the
    client application.
  title: Callbacks Server
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://callback.business-server.exampleanchor.com
security: []
tags:
  - name: Unique Address
    description: >-
      (optional) Provide a unique `stellar_address:memo` pair that will be used
      to correlate a Stellar payment 1-to-1 with a Platform resource such as a
      [SEP-31](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0031.md)
      transaction.
  - name: Rates
    description: >-
      Requests containing data that can be used to provide exchange rates
      between on & off-chain assets.
  - name: Customers
    description: >
      [SEP-12](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md)
      requests made from client

      applications.
paths:
  /customer:
    get:
      tags:
        - Customers
      summary: Retrieve Customer's Info
      description: >
        The request and response for this endpoint is identical to the

        [`GET
        /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-get)

        request and response defined in SEP-12.


        This endpoint allows clients to:

          1. Fetch the fields the server requires in order to register a new customer via a SEP-12
        [`PUT
        /customer`](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-put)
        request


        If the server does not have a customer registered for the parameters
        sent in the request, it should return the

        fields required in the response. The same response should be returned
        when no parameters are sent.

          2. Check the status of a customer that may already be registered

        This allows clients to check whether the customers information was
        accepted, rejected, or still needs more info.

        If the server still needs more info, or the server needs updated
        information, it should return the fields required.
      operationId: getCustomer
      parameters:
        - in: query
          name: id
          description: >-
            The ID of the customer as returned in the response of a previous PUT
            request.
          schema:
            type: string
        - in: query
          name: account
          description: >-
            The Stellar or Muxed Account authenticated with the Platform via
            SEP-10.
          schema:
            type: string
        - in: query
          name: memo
          description: >-
            The memo value identifying a customer with a shared account, where
            the shared account is `account`.
          schema:
            type: string
        - in: query
          name: memo_type
          description: The type of memo used to identify a customer with a shared account.
          schema:
            type: string
            enum:
              - id
              - hash
              - text
        - in: query
          name: type
          description: >
            The type of action the customer is being KYCd for. See the

            [Type
            Specification](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#type-specification)

            documented in SEP-12.
          schema:
            type: string
        - in: query
          name: transaction_id
          description: >
            The transaction id with which the customer's info is associated.
            When information from the customer depends on the

            transaction (e.g., more information is required for larger amounts)
          schema:
            type: string
        - in: query
          name: lang
          description: >
            Defaults to `en`. Language code specified using ISO 639-1. Human
            readable descriptions, choices, and

            messages should be in this language.
          schema:
            type: string
      responses:
        '200':
          description: >
            Valid request. Customer either already exists or the customer
            identified by the parameters is new and must

            provide the field values described in the response body. Response
            bodies are identical to the schema defined

            in
            [SEP-12](https://github.com/stellar/stellar-protocol/blob/master/ecosystem/sep-0012.md#customer-get).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomerResponse'
              examples:
                SuccessKYC:
                  $ref: '#/components/examples/SuccessKYC'
        '400':
          description: Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetCustomerResponse:
      type: object
      required:
        - status
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - ACCEPTED
            - PROCESSING
            - NEEDS_INFO
            - REJECTED
        fields:
          type: object
          additionalProperties:
            required:
              - type
              - description
            properties:
              type:
                type: string
                enum:
                  - string
                  - binary
                  - number
                  - date
              description:
                type: string
              choices:
                type: array
                items:
                  type: string
              optional:
                type: boolean
        provided_fields:
          type: object
          additionalProperties:
            required:
              - type
              - description
            properties:
              type:
                type: string
                enum:
                  - string
                  - binary
                  - number
                  - date
              description:
                type: string
              choices:
                type: array
                items:
                  type: string
              optional:
                type: boolean
              status:
                type: string
                enum:
                  - ACCEPTED
                  - PROCESSING
                  - REJECTED
                  - VERIFICATION_REQUIRED
              error:
                type: string
        message:
          type: string
    Error:
      type: object
      properties:
        error:
          type: string
        id:
          type: string
      required:
        - error
  examples:
    SuccessKYC:
      summary: The case when a customer has been successfully KYC'd and approved
      value:
        id: d1ce2f48-3ff1-495d-9240-7a50d806cfed
        status: ACCEPTED
        provided_fields:
          first_name:
            description: The customer's first name
            type: string
            status: ACCEPTED
          last_name:
            description: The customer's last name
            type: string
            status: ACCEPTED
          email_address:
            description: The customer's email address
            type: string
            status: ACCEPTED

````